# Generated by Django 3.0.4 on 2021-03-07 15:55

from django.db import migrations, models
import musers.core.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("auth", "0011_update_proxy_permissions"),
    ]

    operations = [
        migrations.CreateModel(
            name="User",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("password", models.CharField(max_length=128, verbose_name="password")),
                (
                    "last_login",
                    models.DateTimeField(
                        blank=True, null=True, verbose_name="last login"
                    ),
                ),
                (
                    "is_superuser",
                    models.BooleanField(
                        default=False,
                        help_text="Designates that this user has all permissions without explicitly assigning them.",
                        verbose_name="superuser status",
                    ),
                ),
                ("first_name", models.CharField(max_length=30, verbose_name="Имя")),
                ("last_name", models.CharField(max_length=30, verbose_name="Фамилия")),
                (
                    "is_closed",
                    models.BooleanField(
                        default=False, verbose_name="закрытый профиль?"
                    ),
                ),
                (
                    "avatar",
                    models.CharField(
                        blank=True, max_length=256, null=True, verbose_name="аватар"
                    ),
                ),
                (
                    "domain",
                    models.CharField(max_length=128, verbose_name="текстовый id"),
                ),
                (
                    "vk_id",
                    models.IntegerField(
                        db_index=True, unique=True, verbose_name="id пользователя vk"
                    ),
                ),
                (
                    "access_token",
                    models.CharField(
                        blank=True,
                        max_length=128,
                        null=True,
                        verbose_name="токен пользователя vk",
                    ),
                ),
                (
                    "is_staff",
                    models.BooleanField(default=False, verbose_name="персонал?"),
                ),
                (
                    "is_active",
                    models.BooleanField(default=True, verbose_name="активный?"),
                ),
                (
                    "created",
                    models.DateTimeField(auto_now_add=True, verbose_name="создан"),
                ),
                (
                    "groups",
                    models.ManyToManyField(
                        blank=True,
                        help_text="The groups this user belongs to. A user will get all permissions granted to each of their groups.",
                        related_name="user_set",
                        related_query_name="user",
                        to="auth.Group",
                        verbose_name="groups",
                    ),
                ),
                (
                    "user_permissions",
                    models.ManyToManyField(
                        blank=True,
                        help_text="Specific permissions for this user.",
                        related_name="user_set",
                        related_query_name="user",
                        to="auth.Permission",
                        verbose_name="user permissions",
                    ),
                ),
            ],
            options={
                "verbose_name": "Пользователь",
                "verbose_name_plural": "Пользователи",
            },
            managers=[
                ("objects", musers.core.models.UserManager()),
            ],
        ),
    ]
